Package org.apache.tapestry5.commons.internal.services

## Class StringInternerImpl

- java.lang.Object
- - org.apache.tapestry5.commons.internal.services.StringInternerImpl

- All Implemented Interfaces:
    `StringInterner`

      public class StringInternerImpl
      extends java.lang.Object
      implements StringInterner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringInternerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `format​(java.lang.String format, java.lang.Object... arguments)` | Formats a string (using `String.format(String, Object[])`) and returns the interned result.
    `java.lang.String` | `intern​(java.lang.String string)` | Interns a string.
    `void` | `setupInvalidation​(InvalidationEventHub hub)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringInternerImpl

          public StringInternerImpl()

  - ### Method Detail

    - #### setupInvalidation

          @PostInjection
          public void setupInvalidation​(@ComponentClasses
                                        InvalidationEventHub hub)

    - #### intern

          public java.lang.String intern​(java.lang.String string)

      Description copied from interface: `StringInterner`
      Interns a string.
      Specified by:
        `intern` in interface `StringInterner`
      Parameters:
        `string` - the string to intern
      Returns:
        the input string, or another string instance with the same content

    - #### format

          public java.lang.String format​(java.lang.String format,
                                         java.lang.Object... arguments)

      Description copied from interface: `StringInterner`
      Formats a string (using `String.format(String, Object[])`) and returns the interned result.
      Specified by:
        `format` in interface `StringInterner`
      Parameters:
        `format` - string format
        `arguments` - used inside the format
      Returns:
        formatted and interned string